iOS Build Error

+1 vote
asked Mar 1 by siam9523 (130 points)
edited Mar 2 by siam9523

We are currently using your SDK service(Sense type: 4.0 Professional), and we are inquiring because we found an error in the iOS Build.

-

iOS Deployment Target : 11.0
BitCode : disabled
XCode version : 12.0.1
Architecture : ARM64
Unity version : 2019.4.8f1
EasyAR version : 4.0.0
ARKit related settings (Do Not Embedded in General)

-

If we build iOS in the settings above, errors like the photo below appear.

https://docs.google.com/document/d/1CZJM9Jm24Cd6vwUvOs2BUQvug9cJZ6zngRfhgsvzcb8/edit?usp=sharing

2 Answers

0 votes
answered Mar 3 by dirusumbra (200 points)
iOS Deployment Target : 11.0
BitCode : disabled
XCode version : 12.3
Architecture : ARM64
Unity version : 2019.4.8f1 and 2020.1
EasyAR version : 4.0.0
ARKit related settings (Do Not Embedded in General)

I have the same problem with the same version of unity.
I tried to compile a project only with the easy ar examples but it still gives xcode error.

I already added arkit, coremotion and accelerate framework and followed the guide for ios (EasyAR version : 4.2.0), I can't get it to work.

I already tried version 2020.1 too but it gives more errors
0 votes
answered Mar 4 by dirusumbra (200 points)

I solved it

You must follow the documentation; disabling bitcode and adding arkit.framework but you must change it only in UnityFramework target (the yellow icon in xcode in the target list)

Welcome to EasyAR SDK Q&A, where you can ask questions and receive answers from other members of the community.
...